Package Details: pot-translation 2.7.10-1

Git Clone URL: https://aur.archlinux.org/pot-translation.git (read-only, click to copy)
Package Base: pot-translation
Description: 一个跨平台的划词翻译软件
Upstream URL: https://github.com/pot-app/pot-desktop
Keywords: pot-app translation,
Licenses: GPL3
Conflicts: pot-translation-bin, pot-translation-git
Provides: pot-translation
Submitter: Pylogmon
Maintainer: Pylogmon
Last Packager: Pylogmon
Votes: 3
Popularity: 0.22
First Submitted: 2023-03-04 15:40 (UTC)
Last Updated: 2024-04-18 08:33 (UTC)

Dependencies (12)

Required by (0)

Sources (1)

Latest Comments

springtwr commented on 2024-04-10 02:59 (UTC) (edited on 2024-04-10 03:18 (UTC) by springtwr)

got some errors:

error: invalid character `{` in package name: `tauri-plugin-{{name}}`, characters must be Unicode XID characters (numbers, `-`, `_`, or most letters)
 --> ../../../../../../.cargo/git/checkouts/plugins-workspace-fd0259fcb18f51ad/9b2e9ab/shared/template/Cargo.toml:2:8
  |
2 | name = "tauri-plugin-{{name}}"
  |        ^^^^^^^^^^^^^^^^^^^^^^^
  |

and

error: /home/springtwr/.cache/yay/pot-translation/src/pot-desktop-2.7.9/src-tauri/target/release/deps/libsqlx_macros-84cbab56eced0587.so: undefined symbol: sqlite3_unlock_notify
  --> /home/springtwr/.cargo/registry/src/index.crates.io-6f17d22bba15001f/sqlx-0.7.3/src/lib.rs:53:1
   |
53 | pub extern crate sqlx_macros;
   | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

error[E0432]: unresolved imports `self::encode::Encode`, `self::decode::Decode`, `super::Decode`, `super::Encode`, `super::FromRow`, `super::Type`
   --> /home/springtwr/.cargo/registry/src/index.crates.io-6f17d22bba15001f/sqlx-0.7.3/src/lib.rs:119:9
    |
119 | pub use self::encode::Encode;
    |         ^^^^^^^^^^^^^^^^^^^^
...
130 | pub use self::decode::Decode;
    |         ^^^^^^^^^^^^^^^^^^^^
...
144 |     pub use super::Decode;
    |             ^^^^^^^^^^^^^
145 |     pub use super::Encode;
    |             ^^^^^^^^^^^^^
146 |     pub use super::Executor;
147 |     pub use super::FromRow;
    |             ^^^^^^^^^^^^^^
...
151 |     pub use super::Type;
    |             ^^^^^^^^^^^

For more information about this error, try `rustc --explain E0432`.
error: could not compile `sqlx` (lib) due to 2 previous errors
warning: build failed, waiting for other jobs to finish...
       Error failed to build app: failed to build app
 ELIFECYCLE  Command failed with exit code 1.

When I adding the build configuration "options=('!lto')" to the PKGBUILD, the package builds normally.